<?php
/**
 *
 * @package luzuk Premium
 */
?>
<?php $showContent = get_theme_mod('premium_slider_show_content', 'on'); ?>
<div id="ht-home-slider-section">
	<div id="ht-bx-slider">
		<?php
		$args = array( 'post_type' => 'slider', 'orderby'   => 'id', 'order' => 'DESC',);
		if(!empty($pageId)){
			$args['page_id'] = absint($pageId);

		}
		$text = '';
		$query = new WP_Query($args);
		if($query->have_posts()){
			while($query->have_posts()) : $query->the_post(); 
				$pageLink = '';
				$slider_btn_link = get_post_meta($post->ID,'slider_btn_link',false);
				$sliderBtnTxt = get_post_meta($post->ID,'sliderBtnTxt',false);
				if(!empty($slider_btn_link) && is_array($slider_btn_link)){
					$pageLink = esc_url(get_permalink($slider_btn_link[0]));
				}
				if(!empty($sliderBtnTxt) && is_array($sliderBtnTxt)){
					$pageLinkTxt = $sliderBtnTxt[0];
				}else{
					$pageLinkTxt = 'Start Free Trial';
				}
				?>
				<div class="ht-slide">
					<div class="ht-slide-overlay"></div>
					<!-- <div class="sliderimg-outer"> -->
						<div class="sliderimg">
							<?php 
							if(has_post_thumbnail()){
								$total_slider_image = wp_get_attachment_image_src(get_post_thumbnail_id(),'full');	
								echo '<img alt="'. esc_html(get_the_title()) .'" src="'.esc_url($total_slider_image[0]).'">';
							}?>
						</div>
					<!-- </div> -->
					<?php
					if($showContent == 'on'){
						?>
						<div class="ht-slide-caption " data-wow-duration="1s">
							<div class="ht-slide-cap-title">
								<?php echo (get_the_title()); ?>
							</div>
							<div class="ht-slide-cap-desc">
								
								<?php echo (get_the_content()); ?>
							</div>		
														
							<?php 
							if(!empty($pageLink)){ ?>
								<div class="sliderbtn">	
									<div class="ht-slide-cap-descmore">
										<a class="secondry-bg" href="<?php echo $pageLink; ?>"><?php echo($pageLinkTxt); ?><i class="fa fa-long-arrow-right"></i></a>
									</div>
								</div>
							<?php }?>
						</div>
						<?php }?>
						<div class="last-div"></div>
					</div>
					<?php
				endwhile;
			}else{ 
				for($i=0;$i<2;$i++){?>
				<div class="ht-slide">
					<div class="ht-slide-overlay"></div>
					<!-- <div class="sliderimg-outer"> -->
						<div class="sliderimg">
							<?php echo '<img alt="Slider" src="'. esc_html(get_template_directory_uri()) .'/images/banner1.jpg">';?>
						</div>
					<!-- </div> -->

					<?php if($showContent == 'on'){?>
					<div class="ht-slide-caption " data-wow-duration="1s">
						<div class="ht-slide-cap-title">PLUMBER<br><span>SERVICES YOUR NEEDS</span></div>
						<div class="ht-slide-cap-desc">Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vivamus eu pharetra ex. </div>
					
						<div class="sliderbtn">	
							<div class="ht-slide-cap-descmore">	
								<a class="secondry-bg" href="<?php echo $pageLink; ?>"><?php _e( 'LEARN MORN', 'luzuk' ); ?><i class="fa fa-long-arrow-right"></i></a>
							</div>
						</div>
					</div>
					<?php }?>
					<div class="last-div"></div>
				</div>
				<?php }
			}?>
		</div>
	</div>
